> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept bank disclosures for the authenticated user.

> Accepts bank disclosures for the authenticated user.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-embedded-banking.json post /embedded-banking/v1/disclosures/accept
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Applications
  - name: Bank Account Access
  - name: Bank Accounts
  - name: Beneficial Owners
  - name: Disclosures
  - name: Embedded Banking
  - name: External Bank Accounts
  - name: Identity
  - name: MoneyMovements
  - name: Organization
paths:
  /embedded-banking/v1/disclosures/accept:
    post:
      tags:
        - Disclosures
        - Embedded Banking
      summary: Accept bank disclosures for the authenticated user.
      description: Accepts bank disclosures for the authenticated user.
      operationId: AcceptDisclosures
      parameters: []
      responses:
        '200':
          description: Disclosures accepted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisclosureAcceptanceResponse'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbedProblemDetails'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security:
        - HTTPBearer: []
components:
  schemas:
    DisclosureAcceptanceResponse:
      required:
        - userId
        - acceptedAt
      type: object
      properties:
        acceptedAt:
          type: string
          description: The timestamp when the disclosures were accepted.
          format: date-time
        userId:
          type: string
          description: The user ID that accepted the disclosures.
          format: uuid
      description: Response model for disclosure acceptance.
    EmbedProblemDetails:
      type: object
      properties:
        detail:
          type:
            - 'null'
            - string
        errorCode:
          type:
            - 'null'
            - string
          description: >-
            Embed-specific error code for client error handling.

            Stored in the Extensions dictionary to ensure proper JSON
            serialization.
        instance:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        title:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
      description: |-
        Extended ProblemDetails with Embed-specific error code.
        Follows RFC 7807 with additional error code field.
    ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        title:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````